> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one compliance framework report



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/security/compliance/frameworks/{framework_key}/report
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/security/compliance/frameworks/{framework_key}/report:
    get:
      tags:
        - Security
      summary: Get one compliance framework report
      operationId: get_security_compliance_framework_report_v1
      parameters:
        - in: path
          name: framework_key
          required: true
          schema:
            type: string
        - in: query
          name: month
          required: false
          schema:
            type: string
          description: Render one recorded month (YYYY-MM) instead of the live evaluation.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityComplianceFrameworkReport'
          description: >-
            The scored control-by-control compliance report with the
            month-over-month trend.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Malformed or future month
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityPermissionDenied'
          description: Missing the security.read permission
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Organization-scoped resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Compliance framework is not enabled for this organisation
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Request validation error
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecurityDetailError'
          description: Internal server error
components:
  schemas:
    SecurityComplianceFrameworkReport:
      properties:
        framework:
          $ref: '#/components/schemas/SecurityComplianceFrameworkIdentity'
        period:
          type: string
        generated_at:
          format: date-time
          type: string
        score:
          type: number
        satisfied_controls:
          type: integer
        at_risk_controls:
          type: integer
        failing_controls:
          type: integer
        manual_controls:
          type: integer
        categories:
          items:
            $ref: '#/components/schemas/SecurityComplianceCategoryEntry'
          type: array
        trend:
          items:
            $ref: '#/components/schemas/SecurityComplianceTrendPoint'
          type: array
        available_months:
          items:
            type: string
          type: array
      required:
        - framework
        - period
        - generated_at
        - score
        - satisfied_controls
        - at_risk_controls
        - failing_controls
        - manual_controls
        - categories
        - trend
        - available_months
      type: object
    SecurityDetailError:
      properties:
        detail:
          type: string
      required:
        - detail
      type: object
    SecurityPermissionDenied:
      properties:
        detail:
          enum:
            - permission_denied
          type: string
        permission:
          type: string
        scope_type:
          type: string
      required:
        - detail
        - permission
        - scope_type
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    SecurityComplianceFrameworkIdentity:
      properties:
        key:
          type: string
        title:
          type: string
        short_title:
          type: string
        version:
          type: string
        description:
          type: string
      required:
        - key
        - title
        - short_title
        - version
        - description
      type: object
    SecurityComplianceCategoryEntry:
      properties:
        key:
          type: string
        title:
          type: string
        score:
          anyOf:
            - type: number
            - type: 'null'
        satisfied:
          type: integer
        at_risk:
          type: integer
        failing:
          type: integer
        manual:
          type: integer
        controls:
          items:
            $ref: '#/components/schemas/SecurityComplianceControlEntry'
          type: array
      required:
        - key
        - title
        - score
        - satisfied
        - at_risk
        - failing
        - manual
        - controls
      type: object
    SecurityComplianceTrendPoint:
      properties:
        month:
          type: string
        score:
          type: number
        captured_at:
          format: date-time
          type: string
      required:
        - month
        - score
        - captured_at
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    SecurityComplianceControlEntry:
      properties:
        id:
          type: string
        title:
          type: string
        description:
          type: string
        status:
          enum:
            - satisfied
            - at_risk
            - failing
            - manual
            - not_recorded
          type: string
        checks:
          items:
            $ref: '#/components/schemas/SecurityComplianceCheckEntry'
          type: array
      required:
        - id
        - title
        - description
        - status
        - checks
      type: object
    SecurityComplianceCheckEntry:
      properties:
        key:
          type: string
        title:
          type: string
        passed:
          type: boolean
        evidence:
          type: string
      required:
        - key
        - title
        - passed
        - evidence
      type: object

````